/*
 * $Id: ILazyInitProxy.java 458351 2005-12-23 23:00:29Z ivaynberg $
 * $Revision: 458351 $
 * $Date: 2005-12-24 00:00:29 +0100 (Sat, 24 Dec 2005) $
 * 
 * ==============================================================================
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package wicket.proxy;

import java.io.Serializable;

/**
 * Interface the lazy init proxies implement to make identification of the proxy
 * and retrival of {@link IProxyTargetLocator} possible.
 * 
 * @author Igor Vaynberg (ivaynberg)
 * 
 */
public interface ILazyInitProxy extends Serializable
{
	/**
	 * @return object locator the proxy carries
	 */
	IProxyTargetLocator getObjectLocator();
}
